Weav

List messages

GET https://api.weav.com/v1/messages

Requires a token with the external-api:read or external-api:write ability.

Query parameters

per_pageintegerDefault: 15

Minimum: 1.

Maximum: 100.

pageintegerDefault: 1

Minimum: 1.

conversation_idstring

Filter by conversation

Format: uuid.

sender_typestring

Filter by sender type

One of: customer, user, agent, system.

Request

cURL
curl --request GET \
  --url 'https://api.weav.com/v1/messages' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}"
JavaScript
const response = await fetch("https://api.weav.com/v1/messages", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
  }
});
console.log(await response.json());
Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/messages", headers=headers)
print(response.json())
PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/messages', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();

Response

200 OK
{
    "data": [
        {
            "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "conversation_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "sender_type": "customer",
            "sender_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "customer_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "content": "string",
            "sent_at": "2026-01-01T00:00:00Z",
            "is_internal": false,
            "from": [
                "string"
            ],
            "to": [
                "string"
            ],
            "cc": [
                "string"
            ],
            "bcc": [
                "string"
            ],
            "email_status": "string",
            "email_error_message": "string",
            "created_at": "2026-01-01T00:00:00Z"
        }
    ]
}
  • 401 Unauthorized

Response fields

idstring

Format: uuid.

conversation_idstring

Format: uuid.

sender_typestring

One of: customer, user, agent, system.

sender_idstring | null

Format: uuid.

customer_idstring | null

Format: uuid.

contentstring
sent_atstring

Format: date-time.

is_internalboolean
fromarray<string> | null
toarray<string> | null
ccarray<string> | null
bccarray<string> | null
email_statusstring | null
email_error_messagestring | null
created_atstring | null

Format: date-time.